Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154627 - Nautilus doesn't honor JPEG EXIF orientation information when generating thumbnails
Summary: Nautilus doesn't honor JPEG EXIF orientation information when generating thum...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 04:49 UTC by Stephen Warren
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: This is partially still present in F8 (nautilus-2.20.0-6.fc8). The default size of windows is still a little too narrow (~10% in my case). At least when I resize the window it does remember that size when it's re-opened now. nautilus-2.20.0-6.fc8
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-11 22:35:48 UTC


Attachments (Terms of Use)

Description Stephen Warren 2005-04-13 04:49:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
My digital camera has an orientation sensor, and this information gets encoded into the JPEG file's EXIF information.

When viewing a directory in "View as Icons" mode in nautilus, the thumbnail generation doesn't take this into account, so some images are not correctly oriented.

Note that when viewing the image in eog or GIMP, this field is also not honored there.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
Always

Steps to Reproduce:
1. Take a picture using a digital camera that records orientation into EXIF fields. Make sure the picture is portrait (not landscape)
2. Get the JPEG file from the camera onto the PC
3. View the directory containing the image in nautilus in "View as Icons" mode.
  

Actual Results:  Thumbnail image is displayed landscape - incorrect orientation

Expected Results:  Image should be displayed portrait - the orientation encoded into the EXIF information

Additional info:

Comment 1 Stephen Warren 2005-04-16 07:13:07 UTC
Aaargh. Now I've rotated a few pictures without changing the EXIF information
(since the available tools - eog and jpegtran - don't fixup the EXIF when
rotating), I find that kuickview *does* honour the EXIF "rotation" flag, and
hence a bunch of images show up as double-rotated.

(But interestingly enough, kuickview's preview doesn't honour the EXIF info, but
the full slideshow does...)

*sigh*


Comment 2 Bill Peck 2005-12-26 15:11:51 UTC
BUMP - any progress on this?  Most media devices honor the exif Orientation data
as well and if you rotate any images with gthumb you will end up with double
rotated images.  :-(

Comment 3 Alexander Larsson 2006-01-12 15:41:29 UTC
Its unlikely i'll have any time to work on this. Filing it upstreams (against
libgnomeui which does the thumbnailing) might get it fixed.


Comment 4 Matthew Miller 2006-07-10 22:53:33 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 5 Michael J. Chudobiak 2007-08-14 13:44:25 UTC
libgnomeui now obeys the orientation tag, as of libgnomeui 2.19.0. Should be in F8.

http://bugzilla.gnome.org/show_bug.cgi?id=440978

- Mike

Comment 6 Stephen Warren 2007-11-11 22:35:48 UTC
Verified fixed in F8.


Note You need to log in before you can comment on or make changes to this bug.